## node-jsonminify 0.4.1%2Bdfsg1

=== debian/changelog ===
node-jsonminify (0.4.1+dfsg1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-jsonminify: Add Multi-Arch: foreign.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 16:38:44 +0100

node-jsonminify (0.4.1+dfsg1-2) unstable; urgency=medium

  * Team Upload.

  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Switch to pkg-js-tools (Closes: #952363)
  * Change section value to javascript
  * Bump standards version to 4.5.0
  * Add "Rules-Requires-Root:no"
  * Update URL
  * Remove dh-buildinfo

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 24 Feb 2020 15:46:26 +0530

node-jsonminify (0.4.1+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #848970)
  * Repackage to exclude the plato report and the jsdoc-generated
    directories.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 22 Dec 2016 23:13:48 +0100

## node-jsonminify 0.4.2+dfsg1

=== Makefile ===
__jsdoc=node_modules/.bin/jsdoc
__plato=node_modules/plato/bin/plato
__mocha=node_modules/.bin/mocha
__jshint=node_modules/jshint/bin/jshint

__prog=minify.json.js

all: jshint test

release: init jshint test-doc jsdoc report

init:
	mkdir -p report
	mkdir -p docs

jshint:
	$(__jshint) --config .jshintrc $(__prog)

test:
	$(__mocha) -r should test/test-*.js

test-doc:
	$(__mocha) -r should test/test-*.js -R doc 2>&1 > TestDoc.html

jsdoc:
	$(__jsdoc) -c .jsdoc3.json -d docs -p -r -l $(__prog)

report:
	$(__plato) -d ./report -r $(__prog)


.PHONY: all jshint test jsdoc report

## node-jsonminify 0.4.1+dfsg1

=== debian/control ===
Source: node-jsonminify
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , mocha
 , node-should
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/fkei/JSON.minify
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-jsonminify.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-jsonminify.git

Package: node-jsonminify
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Minify blocks of JSON-like content into valid JSON
 Node.js module to minify blocks of JSON-like content into
 valid JSON by removing all whitespace *and* comments.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	mocha -r should test/test-*.js

=== debian/tests/control ===
Tests: require
Depends: node-jsonminify

Test-Command: mocha -r should test/test-*.js
Depends: @, @builddeps@

## node-jsonminify 0.4.2+dfsg1

=== debian/changelog ===
node-jsonminify (0.4.2+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 0.4.2+dfsg1

 -- Yadd <yadd@debian.org>  Thu, 01 Sep 2022 14:15:04 +0200

=== debian/control ===
Source: node-jsonminify
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-should <!nocheck>
Standards-Version: 4.6.1
Homepage: https://github.com/fkei/JSON.minify
Vcs-Git: https://salsa.debian.org/js-team/node-jsonminify.git
Vcs-Browser: https://salsa.debian.org/js-team/node-jsonminify
Rules-Requires-Root: no

Package: node-jsonminify
Architecture: all
Depends:
 ${misc:Depends}
Multi-Arch: foreign
Description: Minify blocks of JSON-like content into valid JSON
 Node.js module to minify blocks of JSON-like content into
 valid JSON by removing all whitespace *and* comments.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jsonminify-$1/ \
 https://github.com/fkei/JSON.minify/tags .*/archive/.*/v?([\d\.]+).tar.gz
